> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates the availability status of a connector.



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml post /v2/evses/{uid}/connectors/{connectorId}/change-availability
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/evses/{uid}/connectors/{connectorId}/change-availability:
    post:
      tags:
        - EVSEs v2
      summary: Updates the availability status of a connector.
      operationId: EvseController_changeAvailability_v2
      parameters:
        - name: uid
          required: true
          in: path
          description: Uniquely identifies the EVSE
          schema:
            example: 123456
            type: number
        - name: connectorId
          required: true
          in: path
          description: Identifier of the Connector within the EVSE
          schema:
            example: 1
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeAvailabilityRequestBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangeAvailabilityResponseBodyDto'
        '400':
          description: Bad Request provided. A message will describe the issue.
        '403':
          description: Authorization header token is invalid or not provided.
        '500':
          description: Internal Server Error.
      security:
        - Authorization: []
components:
  schemas:
    ChangeAvailabilityRequestBodyDto:
      type: object
      properties:
        type:
          type: string
          description: >-
            This contains the type of availability change that the EVSE should
            perform.
          example: Inoperative
          enum:
            - Inoperative
            - Operative
      required:
        - type
    ChangeAvailabilityResponseBodyDto:
      type: object
      properties:
        status:
          type: string
          description: >-
            This indicates whether the EVSE is able to perform the availability
            change.
          example: Accepted
          enum:
            - Accepted
            - Rejected
            - Scheduled
        description:
          type: string
          description: >-
            Description providing more details about the performed availability
            change.
          example: Connector availability change was applied successfully.
      required:
        - status
        - description
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization
      description: '`Authorization: Bearer <SPIRII_API_KEY>`'

````